<?php 

class Cache
{

	private static $_options;
	public  static $_instance;
		 		
	public function __construct($options=null)
	{
		self::connect();
	}
	
	public static function getInstance($options=null)
    {
		if(!(self::$_instance instanceof self))
		{
            self::$_instance	= new self($options);
			self::$_instance->connect();
        }
        return self::$_instance;
    }	
	
	public function connect()
	{   
		return false;
	} 
	
	public function close()	
	{		
		return false;
	} 
	
	public function clear()	
	{		
		return false;
	} 
	
	public function set($key, $val, $compress=false, $expire)
	{
		return false;
	} 
	
	public function get($key)
	{
		return false;
	}
	
	public function delete($key)
	{
		return false;
	}

} 